AI
Discover website pages for review before ingest
POST
/
v1
/
ai
/
agents
/
{agentID}
/
knowledge
/
discover
Discover website pages for review before ingest
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover \
--header 'Content-Type: application/json' \
--data '
{
"seed_url": "<string>",
"exclude_prefixes": [
"<string>"
],
"include_prefixes": [
"<string>"
],
"max_pages": 123
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
seed_url: '<string>',
exclude_prefixes: ['<string>'],
include_prefixes: ['<string>'],
max_pages: 123
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover"
payload = {
"seed_url": "<string>",
"exclude_prefixes": ["<string>"],
"include_prefixes": ["<string>"],
"max_pages": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"default_urls": [
"<string>"
],
"discovery": "<string>",
"max_pages": 123,
"pages": [
{
"class": "<string>",
"path": "<string>",
"selected": true,
"url": "<string>"
}
],
"paths": [
"<string>"
],
"recommended_count": 123,
"seed_url": "<string>",
"total_found": 123,
"urls": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
Response
OK
⌘I
Discover website pages for review before ingest
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover \
--header 'Content-Type: application/json' \
--data '
{
"seed_url": "<string>",
"exclude_prefixes": [
"<string>"
],
"include_prefixes": [
"<string>"
],
"max_pages": 123
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
seed_url: '<string>',
exclude_prefixes: ['<string>'],
include_prefixes: ['<string>'],
max_pages: 123
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/knowledge/discover"
payload = {
"seed_url": "<string>",
"exclude_prefixes": ["<string>"],
"include_prefixes": ["<string>"],
"max_pages": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"default_urls": [
"<string>"
],
"discovery": "<string>",
"max_pages": 123,
"pages": [
{
"class": "<string>",
"path": "<string>",
"selected": true,
"url": "<string>"
}
],
"paths": [
"<string>"
],
"recommended_count": 123,
"seed_url": "<string>",
"total_found": 123,
"urls": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}